# NetDecom

**NetDecom** is a Python package for dimensionality reduction and decomposition in undirected graph models and Bayesian networks. The package provides efficient methods for finding the minimal local model containing a set of interested variables and implements atom decomposition for undirected graphs.

## Features

- **Minimal Local Model Search**: Efficient algorithms for finding minimal local models that include the variables of interest in undirected graphs and directed acyclic graphs (DAGs).
- **Atom Decomposition**: Implements atom decomposition for undirected graph models, helping reduce the graph structure for more efficient processing and analysis.

## Installation

You can install **NetDecom** via `pip` from the Python Package Index (PyPI):

```bash
pip install NetDecom
